
/* PW_MENU */

/* Dialogue gnral : Menu Power Clic */

pw_menu : dialog {
  label = "Configuration de Power Clic";
  initial_focus = "accept";
  : row {
    : column {
      : boxed_column {
        label = "Utilitaires";
    
       : button {
          key = "b_register";
          label = "Code d'autorisation...";
          mnemonic = "O";
        }
        : button {
          key = "b_init_menu";
          label = "Initialiser menu Autocad";
          mnemonic = "I";
        }
        : button {
          key = "b_toolbar";
          label = "Charger barres d'outil";
          mnemonic = "C";
        }
        : button {
          key = "b_param3";
          label = "Tester une routine lisp";
          mnemonic = "T";
        }
      } 
      : boxed_column {
        label = "Paramtrage";
    	  : popup_list {
    	           label = "mbuttonpan";
        	   key = "midzoom";
	           edit_width = 5;
    	  }
        
        : button {
          key = "b_param1";
          label = "Prfrences...";
          mnemonic = "P";
        }
        : button {
          key = "b_param2";
          label = "Liaisons bloc/prg...";
          mnemonic = "L";
        }
        : button {
          key = "b_param4";
          label = "Relire paramtres";
          mnemonic = "R";
        }
      }
    }
    : column {
	    : boxed_column {
    	  label = "Panels d'entits";
	      : image {
    	    key = "pw_mouse";
        	       width = 8;
            	   height = 8;
	      }
    	  : text {
        	  label = "Thme courant :";
	      }
    	  : popup_list {
        	   key = "mn_id";
	           edit_width = 15;
    	  }
     	  : text {
   	         label = "Echelle globale :";
	  }
          : edit_box {
           key = "ec_glo";
           edit_width = 15;
          }
     	  : text {
   	         label = "Substitution calques:";
	  }
          : edit_box {
           key = "suf_calq";
           edit_width = 15;
          }
    	  
        }

   }
  }
 errtile;
 pw_exit_help_info;
}


/* Dialogue gnral : Menu prfrences */

pw_pref : dialog {
  label = "Prfrences pour chaques commandes de dessin";
  initial_focus = "accept";
  : column {
      : row {
         fixed_width = true;
        : text {
          label = "Commande :";
        }
        : popup_list {
           key = "t_objet";
           edit_width = 15;
        }
        
      }
      : row {
        : column {
         children_alignment = right;
           width = 25;
           : text {
            label = "Proprits :";
           }
           : text {
              key = "msg_1";
           }
           : text {
              key = "msg_2";
           }
           : text {
              key = "msg_3";
           }
           : text {
              key = "msg_4";
           }
           : text {
              key = "msg_5";
           }
           : text {
              key = "msg_6";
           }
           : text {
              key = "msg_7";
           }
           : text {
              key = "msg_8";
           }
           : text {
              key = "msg_9";
           }
           : text {
              key = "msg_10";
           }
        }
        : column {
           : text {
            label = "O/N";
           }
           : toggle {
              key = "tog_1";
           }
           : toggle {
              key = "tog_2";
           }
           : toggle {
              key = "tog_3";
           }
           : toggle {
              key = "tog_4";
           }
           : toggle {
              key = "tog_5";
           }
           : toggle {
              key = "tog_6";
           }
           : toggle {
              key = "tog_7";
           }
           : toggle {
              key = "tog_8";
           }
           : toggle {
              key = "tog_9";
           }
           : toggle {
              key = "tog_10";
           }
         }
       }
     }
 ok_cancel_help;
}

/* Dialogue : Power Clic liaison prog/bloc */

prog_bloc : dialog {
  label = "Liaisons programme/bloc";
  : column {
           : text {
            label = "Syntaxe des commandes Power Clic :";
           }
           : text {
            label = "(pw_cut_bl \"bloc\" \"calque\" echelle longueur)";
           }
           : text {
            label = "(pw_ang_bl \"bloc\" \"calque\" echelle longueur)";
           }
           : text {
            label = "(pw_num_bl \"bloc\" \"calque\" echelle mode)";
           }
           : text {
            key = "pwincbl";
           }
           : text {
            key = "pwinccutbl";
           }
       spacer_1;
       : row {
           : text {
            label = "Bloc :";
           }
           : text {
              key = "n_bloc";
           }
       }
       spacer_1;
       : button {
           key = "pw_b_bloc";
           label = "Choisir bloc...";
           mnemonic = "C";
       }
       : edit_box {
           label = "Commande :";
           key = "n_cmd";
           edit_width = 30;
       }

    }
 ok_cancel_help_errtile;
}

/* Dialogue choix de blocs */

list_bloc : dialog {
    label = "Blocs Dfinis dans ce dessin";
    : edit_box {
        label = "Modle:";                              
        key = "pattern";
        mnemonic = "M";
    }
    : list_box {                                   
        key = "bl_match";
        width = 32;
        allow_accept = true;
    }
    spacer;
    ok_cancel_err;
}

/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
/* Utilitaires de retirement Power Clic */

pw_valider : retirement_button {
        label           = "Valider";
        key             = "accept";
        is_default      = true;
}

pw_annuler : retirement_button {
        label           = "Annuler";
        key             = "cancel";
        is_cancel      = true;
}

pw_exit : retirement_button {
        label           = "Fin";
        key             = "cancel";
        mnemonic = "F";        
        is_cancel      = true;
}


pw_valider_annuler : column {
    : row {
        fixed_width = true;
        alignment = centered;
        pw_valider;
        : spacer { width = 2; }
        pw_annuler;
    }
}

pw_ok_info : column {
    : row {
        fixed_width = true;
        alignment = centered;
        ok_button;
        is_cancel      = true;
        : spacer { width = 2; }
        info_button;
    }
}

pw_ok_help : column {
    : row {
        fixed_width = true;
        alignment = centered;
        : ok_button {
          is_cancel = true;
        }
        : spacer { width = 2; }
        help_button;
    }
}

pw_ok_help_info : column {
    : row {
        fixed_width = true;
        alignment = centered;
        : ok_button {
          is_cancel = true;
        }
        : spacer { width = 2; }
        help_button;
        : spacer { width = 2; }
        info_button;
    }
}

pw_cancel_help_info : column {
    : row {
        fixed_width = true;
        alignment = centered;
        pw_annuler;
        : spacer { width = 2; }
        help_button;
        : spacer { width = 2; }
        info_button;
    }
}

pw_exit_help_info : column {
    : row {
        fixed_width = true;
        alignment = centered;
        pw_exit;
        : spacer { width = 2; }
        help_button;
        : spacer { width = 2; }
        info_button;
    }
}

pw_exit_info : column {
    : row {
        fixed_width = true;
        alignment = centered;
        pw_exit;
        : spacer { width = 2; }
        info_button;
    }
}

pw_ok_help_errtile : column {
   pw_ok_help;
    errtile;
}

pw_ok_help_info_errtile : column {
    pw_ok_help_info;
    errtile;
}

pw_suivant_precedant_annuler : column {
    : row {
        fixed_width = true;
        alignment = centered;
        : button {
          label           = "< Prcdant";
          key             = "precedant";
        }
        : spacer { width = 2; }
        : button {
          label           = "Suivant >";
          key             = "suivant";
        }
        : spacer { width = 2; }
        pw_annuler;
    }
}


