;; METRE_TL
;(Prompt "\nMETRE_TL Mtr par type de ligne (c) G-EAUX 2000- 2002")
;(prompt "\nVersion plug-in pour PowerClic version 5")
;;Power-CLic freeware/shareware :
;;HTTP://WWW.POWER-CLIC.COM
;**************************************************************
;** gnre un rapport sur la longueur des lignes et polylignes
;** classes par type de ligne.
;;fonction "plug-in" pouvant s'executer sur un jeu de selection

;; enregistre le plug-in pour les entites lignes et polylignes
(pw_pluggin_register '("metre_tl" ( "LINE" "LWPOLYLINE")("gnre un rapport sur la longueur des lignes et polylignes" "classes par type de ligne" )))
;;

(defun metre_tl ( /  f ntxt sel sel2 l ll lg-tot lg lent elist )
 (pw_setvar1 "CMDECHO" 0)
 (setq ntxt (Getfiled "Nom du fichier de mtr ?" (getvar "dwgprefix") "MET" 1))
 (setq f (open ntxt "w"))
 (setq sel (ssget "P"))
 (setq ltl (append '("bylayer" "bybloc" )(pw_list_tabl "LTYPE")))
 (setq lg-tot 0)
 (foreach l ltl
  ;;traite les lignes
  (setq sel2 (ssget "_p" (list (cons 6 l) '(0 . "LINE"))))
  (setq lent (pw_listsel sel2))
  (foreach ll lent
   (setq elist (entget ll))
   (setq lg (distance (cdr (assoc 10 elist)) (cdr (assoc 11 elist))))
   (setq lg-tot (+ lg lg-tot))
  )
  ;;traite les polys
  (command "_select" (eval sel) "" ) ;; reprend le jeu de base
  (setq sel2 (ssget "_p" (list (cons 6 l) '(0 . "LWPOLYLINE"))))
  (setq lg (pw_lin_jslong  sel2))
  (setq lg-tot (+ lg lg-tot))
  ;;rapport
  (write-line (strcat "TL : " l " Longueur : " (rtos lg-tot)) f)
  (command "_select" (eval sel) "" ) ;; reprend le jeu de base
  (setq lg-tot 0)
 )
 (close f)
 (pw_setvar2 "CMDECHO" )
 (princ)
)
