;*******************************************************************
;;/plugg/selection par une chaine de texte /none
(pw_pluggin_register '("select_by_string" ("TEXT" "MTEXT")("selection par une chaine de texte")))
;;definition de la commande
(defun select_by_string ( /  blsel1    )
 (prompt "\nSelection par une chaine:")
 (pw_getstringmem  "\nChaine  rechercher, jokers accepts" "zt-ch")
 ;;ecartes les blocs definis dans l'espace papier
 (ssget "_p" (list '(-4 . "<NOT")'(67 . 1)'(-4 . "NOT>") ))
 (setq blsel1 (ssget "P" (list '(-4 . "<OR")'(0 . "mtext")'(0 . "text")'(-4 . "OR>")(cons 1 zt-ch))))
 (sssetfirst blsel1 blsel1)
)
;*******************************************************************
;;/plugg/Ajout d'un suffixe et d'un prefixe/none
(pw_pluggin_register '("suffix_prefix" ("TEXT" "MTEXT")("Ajout d'un suffixe et d'un prefixe")))
;;definition de la commande
(defun suffix_prefix ( / sel l lent ch eg    )
 (pw_getstringmem (pw_getxt 'PW206 "\nPrfixe ?") "pw-prefix")
 (pw_getstringmem (pw_getxt 'PW205 "\nSuffixe ?") "pw-suffix")
 (if (not pw-prefix)
  (setq pw-prefix "")
 )
 (if (not pw-suffix)
  (setq pw-suffix "")
 )
  (setq sel (ssget "_p"))
  (setq lent (pw_listsel sel))
 (foreach l lent
    (setq eg (entget l))
    (setq ch (cdr (assoc 1 eg)))
    (setq ch (strcat pw-prefix ch pw-suffix))
    (setq eg (pw_subst_ou_aj 1 ch eg ))
    (entmod eg)
    (entupd l)
   
  )
  
)

;*******************************************************************
;;/plugg/transforme une etiquette attdef en texte/none
(pw_pluggin_register '("attdef2text" ("ATTDEF" )("transforme une etiquette attdef en texte")))
;;definition de la commande
(defun attdef2text ( /  lent ch eg tmp  sel nlent )
  (setq sel (ssget "_p"))
  (setq lent (pw_listsel sel))
 (foreach l lent
    (setq eg (entget l))
    (setq ch (cdr (assoc 2 eg)))   
    (setq nlent (list '(0 . "TEXT")))
    (foreach ll '(330 100  67 410 8 62 6 100 10 40 1 50 41 51 7 71 72 11 210)
      (setq nlent (append  nlent (list (setq tmp (assoc ll eg)))))
      (setq eg (pw_supp_elem tmp eg))
    )
   (setq nlent (append  nlent (list '(100 . "AcDbText"))));;rajoute le 100 acdbtext
   (setq nlent (pw_subst_ou_aj 1 ch nlent ));;change la chaine de texte
   (setq nlent (append  nlent (list '(73 . 0))));;rajoute le 73 
   (entmake nlent)
   (entdel l)
  )
  
)

;*******************************************************************
;;/plugg/transforme une etiquette attdef en texte/none
(pw_pluggin_register '("convert2Mtext" ("TEXT" )("transforme sequentiellement les TEXT en MTEXT" "transform each  TEXT into MTEXT" "Use the expresstools command")))
;;definition de la commande
(defun convert2Mtext ( /  lent ss sel )
  (setq sel (ssget "_p"))
  (setq lent (pw_listsel sel))
 (foreach l lent
   (setq ss (ssadd))
   (ssadd l ss)
   (sssetfirst ss ss)
   (command "_TXT2MTXT" "_p" "" )
 )
)

;********************
;/plugg/dcompose un mtext dans son calque d'origine/none
;;
(pw_pluggin_register '("explode2text" ("MTEXT" )("transforme sequentiellement les MTEXT en TEXT" "en conservant le calque d'origine" "transform each  TEXT into MTEXT" "keep the original layer")))
;
(defun explode2text (/ etxt egtxt ca sel lent)
  (setq sel (ssget "_p"))
  (setq lent (pw_listsel sel))
  (foreach etxt	lent
    (setq egtxt (entget etxt))
    (setq ca (cdr (assoc 8 egtxt)))
    (command "_explode" etxt "")
    (command "_chprop" "_p" "" "_layer" ca "")
  )
)